#
# spec file for package ocaml-pcre
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2011 Andrew Psaltis <ampsaltis at gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-pcre
Version:        7.5.0
Release:        3.5
%{?ocaml_preserve_bytecode}
Summary:        Perl compatibility regular expressions (PCRE) for OCaml
License:        LGPL-2.0-only
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/pcre
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  pkg-config
BuildRequires:  ocaml(ocaml_base_version) >= 4.12
BuildRequires:  ocamlfind(dune-configurator)
BuildRequires:  pkgconfig(libpcre)

%description
Perl compatibile regular expressions (PCRE) for OCaml.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version
Requires:       pcre-devel

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='pcre'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel
%doc README.md

%changelog
* Tue Jan 16 2024 ohering@suse.de
- Remove usage of dune.configurator because ocamlfind names which
  contain a dot are not considered valid anymore with dune 3.13
* Mon Apr  4 2022 ohering@suse.de
- Use https URL for github.com
* Sat Sep 11 2021 ohering@suse.de
- Update to version 7.5.0
  Require dune 2.7+
* Thu Aug 20 2020 ohering@suse.de
- Update to version 7.4.6
  Remove build dependency on Base
* Sat Feb 29 2020 ohering@suse.de
- Update to version 7.4.3
  See included CHANGES.md
* Thu Feb 20 2020 ohering@suse.de
- Update to version 7.4.1
- Require current ocaml-rpm-macros
- Remove ocaml-pcre-warnings.patch
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Mon May 23 2016 ohering@suse.de
- Update to version 7.2.3
* Tue Nov 10 2015 ohering@suse.de
- Update to version 7.1.6
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Mon Feb 16 2015 ohering@suse.de
- Update to version 7.1.5
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Wed Jan 16 2013 ohering@suse.de
- disable also /usr/lib/rpm/find-debuginfo.sh
* Mon Jan 14 2013 ohering@suse.de
- disable strip, it destroys bytecode binaries
* Mon Jan 14 2013 ohering@suse.de
- change Requires: version-release to just Requires: version
* Mon Sep 17 2012 ohering@suse.de
- Update to version 7.0.2
  Added --with-pcre-config flag to configure location of PCRE configuration generator.
  Upgraded to OCaml 4.00
  Switched to Oasis for packaging
  Switched to OCamlBuild for the build process
  Rewrote README in Markdown
  Added stricter compilation flags
  Minor bugfixes
  Fixed native code debug build target by updating OCamlMakefile.
  Fixed a Windows portability bug in the C-bindings.
  Updated OCamlMakefile to fix linking order.
* Tue Jul  5 2011 ampsaltis@gmail.com
- Add changes file
- New (sort of) upstream version 6.2.2
- Internal dep generation now based on SuSE version
